Loading...
Searching...
No Matches
XrdCl::LocalFileTask Class Reference

`#include <XrdClLocalFileTask.hh>`

Inheritance diagram for XrdCl::LocalFileTask:
Collaboration diagram for XrdCl::LocalFileTask:

## Public Member Functions

| LocalFileTask (XRootDStatus *st, AnyObject *obj, HostList *hosts, ResponseHandler *responsehandler)
| ~LocalFileTask ()
virtual void | Run (void *arg)
| The job logic.
Public Member Functions inherited from XrdCl::Job
virtual | ~Job ()
| Virtual destructor.

## Detailed Description

Definition at line 27 of file XrdClLocalFileTask.hh.

## Constructor & Destructor Documentation

## LocalFileTask()

XrdCl::LocalFileTask::LocalFileTask | ( | XRootDStatus * | st,
|  | AnyObject * | obj,
|  | HostList * | hosts,
|  | ResponseHandler * | responsehandler )

Definition at line 22 of file XrdClLocalFileTask.cc.

{
this->st = st;
this->obj = obj;
this->hosts = hosts;
this->responsehandler = responsehandler;
}

## ~LocalFileTask()

XrdCl::LocalFileTask::~LocalFileTask | ( |  | ) |

Definition at line 30 of file XrdClLocalFileTask.cc.

{}

## Member Function Documentation

## Run()

void XrdCl::LocalFileTask::Run | ( | void * | arg | ) |

virtual

The job logic.

Implements XrdCl::Job.

Definition at line 32 of file XrdClLocalFileTask.cc.

{
if( responsehandler )
responsehandler->HandleResponseWithHosts( st, obj, hosts );
else{
delete st;
delete obj;
delete hosts;
}
delete this;
}

References XrdCl::ResponseHandler::HandleResponseWithHosts().

Here is the call graph for this function:

The documentation for this class was generated from the following files:

- XrdClLocalFileTask.hh
- XrdClLocalFileTask.cc